Package ru.bitel.bgbilling.plugins.crm.server.bean.event

# Class RegisterTaskUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.crm.server.bean.event.RegisterTaskUpdateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class RegisterTaskUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие по добавлению/изменению задачи в CRM.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RegisterTaskUpdateEvent()`
  ``
  `RegisterTaskUpdateEvent(int pluginId, RegisterTask task, int userId)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegisterTask`
  `getTask()`
  Возвращает добавляемую/изменяемую задачу CRM.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegisterTaskUpdateEvent

    protected RegisterTaskUpdateEvent()

  - ### RegisterTaskUpdateEvent

    public RegisterTaskUpdateEvent(int pluginId, RegisterTask task, int userId)
    Конструктор события.
    Parameters:
      `pluginId` - - код плагина
      `task` - - задача
      `userId` - - id пользователя, сгенерировавшего событие

- ## Method Details

  - ### getTask

    public RegisterTask getTask()
    Возвращает добавляемую/изменяемую задачу CRM.
    Returns:
      task - задача